sparkcrawlDocs

Read crawl progress, retention and cost

GET
/api/v1/crawls/{id}

Authorization

bearerAuth
headerAuthorizationBearer <sc_live_<43 characters>>

Organization API key created at /app/api. Scopes: scrape, crawl, search, research. The secret is shown once.

Path Parameters

id*string

Response Body

Crawl status

application/json
  1. response
job?
replayed?boolean
Example Request
curl -X GET 'https://sparkcrawl.com/api/v1/crawls/string'
Example Response
{  "job": {    "id": "string",    "kind": "scrape",    "status": "queued",    "url": "http://example.com",    "createdAt": 0,    "updatedAt": 0,    "expiresAt": 0,    "pagesCompleted": 0,    "pagesFailed": 0,    "pagesQueued": 0,    "maxPages": 0,    "upstreamCostUsd": 0,    "reservedCostUsd": 0,    "uncertainCostUsd": 0,    "customerChargeUsd": 0,    "pricingVersion": "string",    "result": {      "id": "string",      "url": "http://example.com",      "finalUrl": "http://example.com",      "status": "success",      "httpStatus": 0,      "tierUsed": 0,      "htmlSource": "response",      "title": "string",      "html": "string",      "markdown": "string",      "json": {},      "structuredJson": null,      "jsonLd": [        null      ],      "screenshotBase64": "string",      "pdfBase64": "string",      "cacheHit": true,      "cacheRevalidated": true,      "etag": "string",      "cacheControl": "string",      "engine": "http",      "stage": "http_direct",      "verification": "passed",      "attempts": [        {          "id": "string",          "tier": 0,          "provider": "string",          "proxy": "string",          "status": "string",          "stage": "string",          "engine": "string",          "durationMs": 0,          "bytes": 0,          "upstreamCostUsd": 0,          "pricingStatus": "string"        }      ],      "durationMs": 0,      "bytes": 0,      "links": [        "http://example.com"      ],      "upstreamCostUsd": 0,      "pricingStatus": "known",      "customerChargeUsd": 0,      "artifacts": {        "html": "string",        "screenshot": "string",        "pdf": "string",        "json": "string"      },      "error": {        "code": "string",        "message": "string"      }    }  },  "replayed": true}